<div>
  <h2 id="page-heading" data-cy="BadanHeading">
    <span>Badans</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-badan"
        [routerLink]="['/badan/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Badan</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (badans?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Badans found</span>
    </div>
  }

  @if (badans && badans.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="golonganUsaha">
              <div class="d-flex">
                <span>Golongan Usaha</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jenis">
              <div class="d-flex">
                <span>Jenis</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kedudukan">
              <div class="d-flex">
                <span>Kedudukan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noAkta">
              <div class="d-flex">
                <span>No Akta</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglAkta">
              <div class="d-flex">
                <span>Tgl Akta</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="namaNotaris">
              <div class="d-flex">
                <span>Nama Notaris</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="wilKerjaNotaris">
              <div class="d-flex">
                <span>Wil Kerja Notaris</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="skNotaris">
              <div class="d-flex">
                <span>Sk Notaris</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamat">
              <div class="d-flex">
                <span>Alamat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rt">
              <div class="d-flex">
                <span>Rt</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rw">
              <div class="d-flex">
                <span>Rw</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kelurahan">
              <div class="d-flex">
                <span>Kelurahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kecamatan">
              <div class="d-flex">
                <span>Kecamatan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kota">
              <div class="d-flex">
                <span>Kota</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="provinsi">
              <div class="d-flex">
                <span>Provinsi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kodePos">
              <div class="d-flex">
                <span>Kode Pos</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="namaSk">
              <div class="d-flex">
                <span>Nama Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nomorSk">
              <div class="d-flex">
                <span>Nomor Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglSk">
              <div class="d-flex">
                <span>Tgl Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="npwp">
              <div class="d-flex">
                <span>Npwp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjNama">
              <div class="d-flex">
                <span>Pj Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjJenisKelamin">
              <div class="d-flex">
                <span>Pj Jenis Kelamin</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjStatusKawin">
              <div class="d-flex">
                <span>Pj Status Kawin</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjKelahiran">
              <div class="d-flex">
                <span>Pj Kelahiran</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjTglLahir">
              <div class="d-flex">
                <span>Pj Tgl Lahir</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjPekerjaan">
              <div class="d-flex">
                <span>Pj Pekerjaan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjWargaNegara">
              <div class="d-flex">
                <span>Pj Warga Negara</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjJenisId">
              <div class="d-flex">
                <span>Pj Jenis Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjNoId">
              <div class="d-flex">
                <span>Pj No Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjAlamat">
              <div class="d-flex">
                <span>Pj Alamat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjRt">
              <div class="d-flex">
                <span>Pj Rt</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjRw">
              <div class="d-flex">
                <span>Pj Rw</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjKelurahan">
              <div class="d-flex">
                <span>Pj Kelurahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjKecamatan">
              <div class="d-flex">
                <span>Pj Kecamatan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjKota">
              <div class="d-flex">
                <span>Pj Kota</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjProvinsi">
              <div class="d-flex">
                <span>Pj Provinsi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pjKodePos">
              <div class="d-flex">
                <span>Pj Kode Pos</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="template">
              <div class="d-flex">
                <span>Template</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="komparisi">
              <div class="d-flex">
                <span>Komparisi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (badan of badans; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/badan', badan.id, 'view']">{{ badan.id }}</a>
              </td>
              <td>{{ badan.golonganUsaha }}</td>
              <td>{{ badan.jenis }}</td>
              <td>{{ badan.nama }}</td>
              <td>{{ badan.kedudukan }}</td>
              <td>{{ badan.noAkta }}</td>
              <td>{{ badan.tglAkta | formatMediumDate }}</td>
              <td>{{ badan.namaNotaris }}</td>
              <td>{{ badan.wilKerjaNotaris }}</td>
              <td>{{ badan.skNotaris }}</td>
              <td>{{ badan.alamat }}</td>
              <td>{{ badan.rt }}</td>
              <td>{{ badan.rw }}</td>
              <td>{{ badan.kelurahan }}</td>
              <td>{{ badan.kecamatan }}</td>
              <td>{{ badan.kota }}</td>
              <td>{{ badan.provinsi }}</td>
              <td>{{ badan.kodePos }}</td>
              <td>{{ badan.noKontak }}</td>
              <td>{{ badan.namaSk }}</td>
              <td>{{ badan.nomorSk }}</td>
              <td>{{ badan.tglSk }}</td>
              <td>{{ badan.npwp }}</td>
              <td>{{ badan.pjNama }}</td>
              <td>{{ badan.pjJenisKelamin }}</td>
              <td>{{ badan.pjStatusKawin }}</td>
              <td>{{ badan.pjKelahiran }}</td>
              <td>{{ badan.pjTglLahir | formatMediumDate }}</td>
              <td>{{ badan.pjPekerjaan }}</td>
              <td>{{ badan.pjWargaNegara }}</td>
              <td>{{ badan.pjJenisId }}</td>
              <td>{{ badan.pjNoId }}</td>
              <td>{{ badan.pjAlamat }}</td>
              <td>{{ badan.pjRt }}</td>
              <td>{{ badan.pjRw }}</td>
              <td>{{ badan.pjKelurahan }}</td>
              <td>{{ badan.pjKecamatan }}</td>
              <td>{{ badan.pjKota }}</td>
              <td>{{ badan.pjProvinsi }}</td>
              <td>{{ badan.pjKodePos }}</td>
              <td>{{ badan.template }}</td>
              <td>{{ badan.komparisi }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/badan', badan.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/badan', badan.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(badan)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (badans && badans.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
